Package com.mapd.thrift.server

## Class TClusterHardwareInfo

- java.lang.Object
- - com.mapd.thrift.server.TClusterHardwareInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TClusterHardwareInfo>`, `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TClusterHardwareInfo
    extends Object
    implements org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>, Serializable, Cloneable, Comparable<TClusterHardwareInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TClusterHardwareInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<THardwareInfo>` `hardware_info`
`static Map<TClusterHardwareInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TClusterHardwareInfo()`
`TClusterHardwareInfo​(TClusterHardwareInfo other)` Performs a deep copy on other.
`TClusterHardwareInfo​(List<THardwareInfo> hardware_info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToHardware_info​(THardwareInfo elem)`
`void` `clear()`
`int` `compareTo​(TClusterHardwareInfo other)`
`TClusterHardwareInfo` `deepCopy()`
`boolean` `equals​(TClusterHardwareInfo that)`
`boolean` `equals​(Object that)`
`TClusterHardwareInfo._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TClusterHardwareInfo._Fields field)`
`List<THardwareInfo>` `getHardware_info()`
`Iterator<THardwareInfo>` `getHardware_infoIterator()`
`int` `getHardware_infoSize()`
`int` `hashCode()`
`boolean` `isSet​(TClusterHardwareInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetHardware_info()` Returns true if field hardware_info is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TClusterHardwareInfo._Fields field, Object value)`
`TClusterHardwareInfo` `setHardware_info​(List<THardwareInfo> hardware_info)`
`void` `setHardware_infoIsSet​(boolean value)`
`String` `toString()`
`void` `unsetHardware_info()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hardware_info

    public List<THardwareInfo> hardware_info

#### metaDataMap

    public static final Map<TClusterHardwareInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TClusterHardwareInfo

    public TClusterHardwareInfo()

#### TClusterHardwareInfo

    public TClusterHardwareInfo​(List<THardwareInfo> hardware_info)

#### TClusterHardwareInfo

    public TClusterHardwareInfo​(TClusterHardwareInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TClusterHardwareInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### getHardware_infoSize

    public int getHardware_infoSize()

#### getHardware_infoIterator

    public Iterator<THardwareInfo> getHardware_infoIterator()

#### addToHardware_info

    public void addToHardware_info​(THardwareInfo elem)

#### getHardware_info

    public List<THardwareInfo> getHardware_info()

#### setHardware_info

    public TClusterHardwareInfo setHardware_info​(List<THardwareInfo> hardware_info)

#### unsetHardware_info

    public void unsetHardware_info()

#### isSetHardware_info

    public boolean isSetHardware_info()

Returns true if field hardware_info is set (has been assigned a value) and false otherwise

#### setHardware_infoIsSet

    public void setHardware_infoIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TClusterHardwareInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TClusterHardwareInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### isSet

    public boolean isSet​(TClusterHardwareInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TClusterHardwareInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TClusterHardwareInfo other)

Specified by:
  `compareTo` in interface `Comparable<TClusterHardwareInfo>`

#### fieldForId

    public TClusterHardwareInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TClusterHardwareInfo,​TClusterHardwareInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`